Subject: [Healeys] Fuel pump flustered

From: [email-masked]
Date: Wed, 28 Sep 2016 15:15:56 -0500 (CDT)

Listers,

This one has really got me stumped.  A couple weeks ago went on a 40 or so mile ride.  Car ran great.  No probs.  At one point I was stopped and I could hear the fuel pump clicking away, 3-4 clicks per second.  This was true whether at idle or higher rpm.  I knew that normally at idle there was an occasional click.

Once back home I restarted the car and same thing.  Then over several days I attempted to fix the prob.  A different pump gave the same results.  I replaced the filter and still same thing.  Oh BTW there was no fuel underneath as is the case when a float needle is stuck and fuel comes out the overflow.  No fuel shows up anywhere.

Why does the pump continue to click so fast?????  Why does it NOT slow to an occasional click?????  What is the fix????  I am flustered.

Keith  
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys